package Flux_sample_operators;

import reactor.core.publisher.Flux;

import java.time.Duration;
import java.util.Arrays;
import java.util.List;

public class FluxFromRangeInterval {
    public static void main(String[] args)throws Exception {

        String[] str = {"This","is","Delta","express"};
        //fromArray()
        Flux.fromArray(str).
                log().subscribe(System.out::println);

        List<String> listIterator = Arrays.asList("This","is","Beta","Express");
        //fromIterable()
        Flux.fromIterable(listIterator).
                log().subscribe(System.out::println);

        //fromStream()
        Flux.fromStream(listIterator.stream()).
                log().subscribe(System.out::println);

        //range()
        Flux.range(100,50).log().subscribe(System.out::println);

        //interval()
        Flux.interval(Duration.ZERO,Duration.ofSeconds(2)).log().subscribe(System.out::println);

        Thread.sleep(10000);
    }
}
