package Flux_sample_operators;

import reactor.core.publisher.Flux;

public class FluxCreateGeneratePush {
    public static void main(String[] args) {
                Flux.create(fluxSink -> {
            fluxSink.next("A");
            fluxSink.next("B");
            fluxSink.next("C");
            fluxSink.next("Raju");
            //fluxSink.error(new Exception("This is my Exception"));
            fluxSink.complete();
        }).log().subscribe();


        Flux.generate(()->97, (state, sink) -> {
            char value = (char) state.intValue();
            sink.next(value);
            if (value == 'z') {
                sink.complete();
            }
            return state + 1;
        }).log().subscribe();

        Flux.push(fluxSink -> {
            fluxSink.next("A");
            fluxSink.next("B");
            fluxSink.next("C");
            fluxSink.next("Raju");
            //fluxSink.error(new Exception("This is my Error"));
            fluxSink.complete();
        }).log().subscribe(in->{System.out.println("Received----"+in);},
        throwable -> {
            System.out.println("This is Exception-------"+throwable);
        });
    }
}
